## org.eclipse.datatools.modelbase.sql.datatypes
Interface FixedPrecisionDataType

All Superinterfaces:
  DataType, ExactNumericDataType, NumericalDataType, PredefinedDataType, SQLDataType, SQLObject

All Known Implementing Classes:
  FixedPrecisionDataTypeImpl

    public interface FixedPrecisionDataType

extends ExactNumericDataType

A representation of the model object 'Fixed Precision Data Type'. Reference: 5WD-02-Foundation-2002-12 4.4 Numbers

See Also:
  `SQLDataTypesPackage.getFixedPrecisionDataType()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.ExactNumericDataType
`getScale, setScale`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.NumericalDataType
`getPrecision, setPrecision`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.